Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring
Class UndoManagerAdapter

    java.lang.Object
      org.eclipse.ltk.core.refactoring.UndoManagerAdapter

All Implemented Interfaces:
  IUndoManagerListener

public class UndoManagerAdapter
extends Object
implements IUndoManagerListener

This adapter class provides default implementations for the methods defined by the `IUndoManagerListener` interface.

This class may be subclassed by clients.

Since:
  3.0

Constructor Summary
`UndoManagerAdapter()`

Method Summary
`void` | `aboutToPerformChange(IUndoManager manager, Change change)` This method gets called by the undo manager if a change gets executed in the context of the undo manager.
`void` | `changePerformed(IUndoManager manager, Change change)` This method gets called by the undo manager when a change has been executed in the context of the undo manager.
`void` | `redoStackChanged(IUndoManager manager)` This method is called by the undo manager if the redo stack has changed (for example a redo object got added or the redo stack got flushed).
`void` | `undoStackChanged(IUndoManager manager)` This method is called by the undo manager if the undo stack has changed (for example a undo object got added or the undo stack got flushed).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UndoManagerAdapter

    public UndoManagerAdapter()

Method Detail

### undoStackChanged

    public void undoStackChanged(IUndoManager manager)

  This method is called by the undo manager if the undo stack has changed (for example a undo object got added or the undo stack got flushed).

  Specified by:
    `undoStackChanged` in interface `IUndoManagerListener`
  Parameters:
    `manager` - the manager this listener is registered to

### redoStackChanged

    public void redoStackChanged(IUndoManager manager)

  This method is called by the undo manager if the redo stack has changed (for example a redo object got added or the redo stack got flushed).

  Specified by:
    `redoStackChanged` in interface `IUndoManagerListener`
  Parameters:
    `manager` - the manager this listener is registered to

### aboutToPerformChange

    public void aboutToPerformChange(IUndoManager manager,
                                     Change change)

  This method gets called by the undo manager if a change gets executed in the context of the undo manager.

  Specified by:
    `aboutToPerformChange` in interface `IUndoManagerListener`
  Parameters:
    `manager` - the manager this listener is registered to
    `change` - the change to be executed

### changePerformed

    public void changePerformed(IUndoManager manager,
                                Change change)

  This method gets called by the undo manager when a change has been executed in the context of the undo manager.

  Specified by:
    `changePerformed` in interface `IUndoManagerListener`
  Parameters:
    `manager` - the manager this listener is registered to
    `change` - the change that has been executed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.